Package org.eclipse.wst.xsl.ui.internal.contentassist.contentmodel

## org.eclipse.wst.xsl.ui.internal.contentassist.contentmodel
Class XSLContentModelGenerator

    public class XSLContentModelGenerator
    extends AbstractContentModelGenerator

This provides the ContentModel based off the XSL xml schema grammars and other grammars provided by the xml editor.

## Constructor Summary

`XSLContentModelGenerator()`

## Method Summary

`public void` | `generateAttribute(CMAttributeDeclaration attrDecl , java.lang.StringBuffer buffer)` (non-Javadoc)
`protected void` | `generateEndTag(java.lang.String tagName , org.w3c.dom.Node parentNode , CMElementDeclaration elementDecl , java.lang.StringBuffer buffer)`
`public void` | `generateRequiredAttribute(org.w3c.dom.Node ownerNode , CMAttributeDeclaration attrDecl , java.lang.StringBuffer buffer)`
`protected void` | `generateStartTag(java.lang.String tagName , org.w3c.dom.Node parentNode , CMElementDeclaration elementDecl , java.lang.StringBuffer buffer)`
`public int` | `getMinimalStartTagLength(org.w3c.dom.Node node , CMElementDeclaration elementDecl)` (non-Javadoc)
`protected java.lang.String` | `getOtherClose(org.w3c.dom.Node notATagNode)`
`public java.lang.String` | `getStartTagClose(org.w3c.dom.Node parentNode , CMElementDeclaration elementDecl)` (non-Javadoc)

## Constructor Detail

## XSLContentModelGenerator

`public XSLContentModelGenerator()`

XSLContentModelGenerator constructor comment.

## Methods Detail

## generateAttribute

`public void generateAttribute(CMAttributeDeclaration attrDecl , java.lang.StringBuffer buffer)`

(non-Javadoc)

### Parameters

`attrDecl`

`buffer`

## generateEndTag

`protected void generateEndTag(java.lang.String tagName , org.w3c.dom.Node parentNode , CMElementDeclaration elementDecl , java.lang.StringBuffer buffer)`

### Parameters

`tagName`

`parentNode`

`elementDecl`

`buffer`

## generateRequiredAttribute

`public void generateRequiredAttribute(org.w3c.dom.Node ownerNode , CMAttributeDeclaration attrDecl , java.lang.StringBuffer buffer)`

### Parameters

`ownerNode`

`attrDecl`

`buffer`

## generateStartTag

`protected void generateStartTag(java.lang.String tagName , org.w3c.dom.Node parentNode , CMElementDeclaration elementDecl , java.lang.StringBuffer buffer)`

### Parameters

`tagName`

`parentNode`

`elementDecl`

`buffer`

## getMinimalStartTagLength

`public int getMinimalStartTagLength(org.w3c.dom.Node node , CMElementDeclaration elementDecl)`

(non-Javadoc)

### Parameters

`node`

`elementDecl`

### Returns

`int`

## getOtherClose

`protected java.lang.String getOtherClose(org.w3c.dom.Node notATagNode)`

### Parameters

`notATagNode`

### Returns

`java.lang.String`

## getStartTagClose

`public java.lang.String getStartTagClose(org.w3c.dom.Node parentNode , CMElementDeclaration elementDecl)`

(non-Javadoc)

### Parameters

`parentNode`

`elementDecl`

### Returns

`java.lang.String`